Index: ChangeLog
===================================================================
--- ChangeLog	(revision f3d1d9619908c0d1deddecce6766f802ddedb290)
+++ ChangeLog	(revision 2da63bc3daa18eddfd580025dd35cac263cc6ddd)
@@ -1,2 +1,8 @@
+2010-12-08     Sebastian Huber <Sebastian.Huber@embedded-brains.de>
+
+	* networkconfig.h, networkconfig-qemu.h, networkconfig-icecube.h,
+	networkconfig-mpc8313erdb.h: Loop back interface will be initialized
+	now during normal initialization via rtems_bsdnet_initialize_network().
+
 2010-02-12	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: networkconfig-icecube.h
===================================================================
--- networkconfig-icecube.h	(revision f3d1d9619908c0d1deddecce6766f802ddedb290)
+++ networkconfig-icecube.h	(revision 2da63bc3daa18eddfd580025dd35cac263cc6ddd)
@@ -45,18 +45,4 @@
 #endif
 
-#ifdef RTEMS_USE_LOOPBACK 
-/*
- * Loopback interface
- */
-extern void rtems_bsdnet_loopattach();
-static struct rtems_bsdnet_ifconfig loopback_config = {
-        "lo0",                          /* name */
-        rtems_bsdnet_loopattach,        /* attach function */
-        NULL,                           /* link to next interface */
-        "127.0.0.1",                    /* IP address */
-        "255.0.0.0",                    /* IP net mask */
-};
-#endif
-
 /*
  * Default network interface
@@ -65,10 +51,5 @@
         RTEMS_BSP_NETWORK_DRIVER_NAME,          /* name */
         RTEMS_BSP_NETWORK_DRIVER_ATTACH,        /* attach function */
-
-#ifdef RTEMS_USE_LOOPBACK 
-        &loopback_config,               /* link to next interface */
-#else
         NULL,                           /* No more interfaces */
-#endif
 
 #if (defined (RTEMS_USE_BOOTP))
Index: networkconfig-mpc8313erdb.h
===================================================================
--- networkconfig-mpc8313erdb.h	(revision f3d1d9619908c0d1deddecce6766f802ddedb290)
+++ networkconfig-mpc8313erdb.h	(revision 2da63bc3daa18eddfd580025dd35cac263cc6ddd)
@@ -44,18 +44,4 @@
 #endif
 
-#ifdef RTEMS_USE_LOOPBACK 
-/*
- * Loopback interface
- */
-extern void rtems_bsdnet_loopattach();
-static struct rtems_bsdnet_ifconfig loopback_config = {
-        "lo0",                          /* name */
-        rtems_bsdnet_loopattach,        /* attach function */
-        NULL,                           /* link to next interface */
-        "127.0.0.1",                    /* IP address */
-        "255.0.0.0",                    /* IP net mask */
-};
-#endif
-
 /*
  * Default network interface
@@ -64,10 +50,5 @@
         RTEMS_BSP_NETWORK_DRIVER_NAME,          /* name */
         RTEMS_BSP_NETWORK_DRIVER_ATTACH,        /* attach function */
-
-#ifdef RTEMS_USE_LOOPBACK 
-        &loopback_config,               /* link to next interface */
-#else
         NULL,                           /* No more interfaces */
-#endif
 
 #if (defined (RTEMS_USE_BOOTP))
Index: networkconfig-qemu.h
===================================================================
--- networkconfig-qemu.h	(revision f3d1d9619908c0d1deddecce6766f802ddedb290)
+++ networkconfig-qemu.h	(revision 2da63bc3daa18eddfd580025dd35cac263cc6ddd)
@@ -62,7 +62,4 @@
  *   FIXED_NETMASK            <undefined>   IP netmask string
  *                                          (e.g. "255.255.255.0")
- *   LO_IF_ONLY               <undefined>   If defined, do NOT configure
- *                                          any ethernet driver but only the
- *                                          loopback interface.
  *   MULTI_NETDRIVER          <undefined>   ugly hack; if defined try to probe
  *                                          a variety of PCI and ISA drivers
@@ -141,7 +138,5 @@
 #endif
 
-#ifdef LO_IF_ONLY
-#undef NIC_NAME
-#elif !defined(NIC_NAME)
+#if !defined(NIC_NAME)
 
 #ifdef MULTI_NETDRIVER
@@ -231,6 +226,4 @@
 #endif /* ifdef MULTI_NETDRIVER */
 
-#endif /* ifdef LO_IF_ONLY */
-
 #ifdef NIC_NAME
 
@@ -246,28 +239,14 @@
 }};
 #else
-#ifndef LO_IF_ONLY
-#warning "NO KNOWN NETWORK DRIVER FOR THIS BSP -- YOU MAY HAVE TO EDIT rtems_netconfig.c"
-#endif
-#endif
-
-extern void rtems_bsdnet_loopattach();
-static struct rtems_bsdnet_ifconfig loopback_config = {
-    "lo0",                          /* name */
-    (int (*)(struct rtems_bsdnet_ifconfig *, int))rtems_bsdnet_loopattach, /* attach function */
+#warning "NO KNOWN NETWORK DRIVER FOR THIS BSP -- YOU MAY HAVE TO EDIT networkconfig.h"
+#endif
+
+struct rtems_bsdnet_config rtems_bsdnet_config = {
 #ifdef NIC_NAME
-    netdriver_config,               /* link to next interface */
-#else
-    0,                              /* link to next interface */
-#endif
-    "127.0.0.1",                    /* IP address */
-    "255.0.0.0",                    /* IP net mask */
-};
-
-struct rtems_bsdnet_config rtems_bsdnet_config = {
-    &loopback_config,         /* Network interface */
-#ifdef NIC_NAME
+    netdriver_config,         /* link to next interface */
     RTEMS_DO_BOOTP,           /* Use BOOTP to get network configuration */
 #else
-    0,                        /* Use BOOTP to get network configuration */
+    0,
+    0,
 #endif
     NETWORK_TASK_PRIORITY,    /* Network task priority */
Index: networkconfig.h
===================================================================
--- networkconfig.h	(revision f3d1d9619908c0d1deddecce6766f802ddedb290)
+++ networkconfig.h	(revision 2da63bc3daa18eddfd580025dd35cac263cc6ddd)
@@ -23,31 +23,8 @@
 
 /*
- * Loopback interface
- */
-extern int rtems_bsdnet_loopattach();
-
-/*
- * Default network interface
- */
-static struct rtems_bsdnet_ifconfig netdriver_config = {
-  "lo0",                    /* name */
-  rtems_bsdnet_loopattach,  /* attach function */
-  NULL,                     /* No more interfaces */
-  "127.0.0.1",              /* IP address */
-  "255.0.0.0",              /* IP net mask */
-  NULL,                     /* Driver supplies hardware address */
-  0,                        /* Use default driver parameters */
-  0,                        /* default efficiency multiplier */
-  0,                        /* default udp TX socket buffer size */
-  0,                        /* default udp RX socket buffer size */
-  0,                        /* default tcp TX socket buffer size */
-  0,                        /* default tcp RX socket buffer size */
-};
-
-/*
  * Network configuration
  */
 struct rtems_bsdnet_config rtems_bsdnet_config = {
-  &netdriver_config,
+  NULL,                /* Loop back interface only */
   NULL,                /* do not use bootp */
   0,                   /* Default network task priority */
